import React, { FC } from 'react';
import { Grid, Typography } from '@material-ui/core';
import AddIcon from '@material-ui/icons/Add';
import Fab from '@material-ui/core/Fab';
import { Header } from 'components/Utils/Header';
import { DriverShiftDialog } from './DriverShiftDialog';
import { driverShiftStyle } from './DriverShiftPage.style';

export const DriverShiftPage: FC = () => {
  const classes = driverShiftStyle();

  const [isOpen, setIsOpen] = React.useState<boolean>(false);

  const handleOpen = (): void => {
    setIsOpen(true);
  };

  const handleClose = (): void => {
    setIsOpen(false);
  };

  return (
    <div data-testid="DriverShift">
      <Grid container direction="column" className={classes.paddingBottom}>
        <Header title="Plan here your" subtitle="DriverShifts" />
        <DriverShiftDialog handleClose={handleClose} isOpen={isOpen} />

        <Fab
          color="primary"
          size="large"
          className={classes.fab}
          onClick={handleOpen}
          aria-label="Add New Shift"
        >
          <AddIcon className={classes.extendedIcon} />
        </Fab>

        <Grid item container className={classes.paddingTop}>
          <Grid item xs={1} lg={2} />
          <Grid item xs={10} lg={8}>
            <Typography variant="h3">Your Next DriverShifts</Typography>
          </Grid>
          <Grid item xs={1} lg={2} />

          <Grid item xs={1} lg={2} />
          <Grid item xs={10} lg={8}>
            <h1>Nothing</h1>
          </Grid>
          <Grid item xs={1} lg={2} />
        </Grid>
      </Grid>
    </div>
  );
};
